import { globalLookup } from '../global';
import { FormatValueRender } from './toolbar/renderFormat';

const getLabel = (lane) => {
    if (typeof lane !== 'object') {
        lane = {};
    }

    const width = Number(lane.width || 1);    
    const valueRender = new FormatValueRender(lane.ref, width, '');

    return (value, mask, x, w, link) => {

        if (mask) {
            if (value) {
                return ['text', { x, class: 'unknown' }, '?'];
            } else {
                return ['text', { x, class: 'high-impedance' }, 'x'];
            }
        }

        const pos = (w / 8) | 0;
        const valueString = valueRender.render(value, pos);
        return ['text', { x, class: 'common' }, valueString];
    };
};

export default getLabel;
