const AutoImport = require('unplugin-auto-import/webpack')
const Components = require('unplugin-vue-components/webpack')
const { ElementPlusResolver } = require('unplugin-vue-components/resolvers')

module.exports = {
    plugins: [
        AutoImport({
            resolvers: [ElementPlusResolver()],
        }),
        Components({
            resolvers: [ElementPlusResolver()],
        }),
    ],
    devtool: 'none',
    module: {
        loader: [
            { test: /\.vcd$/, loader: 'ignore-loader' }
        ]
    },
    resolve: {
        fallback: {
            "crypto": require.resolve('crypto-browserify')
        }
    },
};